Bug 1461159 - The packagekit daemon has crashed
The packagekit daemon has crashed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 13:05 EDT by t.soernes
Modified: 2018-05-29 07:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:35:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description t.soernes 2017-06-13 13:05:38 EDT
Description of problem:

Whenever I resume from sleep I get a notification saying "The packagekit daemon has crashed"
Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Sleep
2. Wake from sleep
3.

Actual results:


Expected results:


Additional info:
Fedora 26 Beta KDE
Comment 1 Gurenko Alex 2017-06-14 02:07:25 EDT
It's not only sleep, same now with simply starting the system and I think it crashes every time it's triggered by System Settings -> Software Management -> Settings -> Check for new updates
Comment 2 Kalev Lember 2017-06-16 09:56:01 EDT
Should be fixed by https://bodhi.fedoraproject.org/updates/FEDORA-2017-7f91d69342 , can you verify that this fixes it, please?
Comment 3 t.soernes 2017-06-16 10:56:07 EDT
I haven't encountered this problem in a couple of days, even though I'm still on PackageKit-1.1.6-1.fc26.x86_64.
Comment 4 t.soernes 2017-06-16 13:38:11 EDT
Scratch that; got it again. Bug not as reproducible as I thought, though it only happens on resume from sleep and boot. I'll give your patch a go.
Comment 5 t.soernes 2017-06-17 04:12:35 EDT
@Kalev Lember, patch not working, still get same error
Comment 6 carlos.rca185 2017-09-15 04:24:44 EDT
(In reply to Gurenko Alex from comment #1)
> It's not only sleep, same now with simply starting the system and I think it
> crashes every time it's triggered by System Settings -> Software Management
> -> Settings -> Check for new updates

It's also reproducible on Fedora 25 KDE every time Packagekit searchs for updates. Update patch for Fedora 26 doesn't work.
Comment 7 Gurenko Alex 2017-09-17 01:49:41 EDT
I have 3 machines on F26 and one is working fine, two others are crashing all the time
Comment 8 carlos.rca185 2017-09-17 05:28:56 EDT
(In reply to Gurenko Alex from comment #7)
> I have 3 machines on F26 and one is working fine, two others are crashing
> all the time

I rebuilt the rpm database following this guide https://fedoramagazine.org/psa-errors-updating-libdb/ and this made packagekit working again. Now is able to install updates, but after every time installs updates, the message of "packagekit  has crashed" appears again.
Comment 9 carlos.rca185 2017-09-17 05:33:12 EDT
Anyway, it seems that Packagekit process is actually restarted after this message is shown, so the automatic check for updates process is not harmed.
Comment 10 Gurenko Alex 2017-09-19 04:58:46 EDT
(In reply to carlos.rca185 from comment #8)
> (In reply to Gurenko Alex from comment #7)
> > I have 3 machines on F26 and one is working fine, two others are crashing
> > all the time
> 
> I rebuilt the rpm database following this guide
> https://fedoramagazine.org/psa-errors-updating-libdb/ and this made
> packagekit working again. Now is able to install updates, but after every
> time installs updates, the message of "packagekit  has crashed" appears
> again.

 Yeah, that article helped to get rid of segfaults by pk-backend and error messages. Need to monitor it, but looks better now
Comment 11 Fedora End Of Life 2018-05-03 04:15:20 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2018-05-29 07:35:09 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.